# UpdateCompany

Update a company

`PUT /w9/companies/{id}`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** Companies W9
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/Companies%20W9/UpdateCompany/

## Description

Update a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The ID of the company to update |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Content-Type:** `application/json`

**Content-Type:** `text/json`

**Content-Type:** `application/*+json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Updated company | `CompanyResponse` |
| 400 | Bad request (e.g., model validation failed) | `ErrorResponse` |
| 401 | Authentication failed |  |
| 404 | Company not found | `ErrorResponse` |

### 200 Response: `CompanyResponse`

| Property | Type | Required | Description |
|---|---|---|---|
| `name` | string | **Yes** | Legal name. Not the DBA name. |
| `dbaName` | string | No | Doing Business As (DBA) name or continuation of a long legal name. |
| `email` | string | **Yes** | Contact email address. For inquiries by vendors/employees. |
| `address` | string | **Yes** | Address. |
| `city` | string | **Yes** | City. |
| `state` | string | No | Two-letter US state or Canadian province code (required for US/CA addresses). |
| `zip` | string | **Yes** | ZIP/postal code. |
| `telephone` | string | **Yes** | Contact phone number (must contain at least 10 digits, max 15 characters). |
| `tin` | string | **Yes** | Federal Tax Identification Number (TIN). EIN/Tax ID (required for US companies). |
| `referenceId` | string | No | Internal reference ID. Never shown to any agency or recipient. |
| `doTinMatch` | boolean | No | Indicates whether the company authorizes IRS TIN matching. |
| `groupName` | string | No | Group name for organizing companies (creates or finds group by name). |
| `foreignProvince` | string | No | Province or region for non-US/CA addresses. |
| `countryCode` | string | **Yes** | Two-letter IRS country code (e.g., 'US', 'CA'), as defined at https://www.irs.gov/e-file-providers/country-codes. |
| `resendRequests` | boolean | No | Boolean to enable automatic reminder emails (default: false). |
| `resendIntervalDays` | integer | No | Days between reminder emails (7-365, required if resendRequests is true). |
| `maxReminderAttempts` | integer | No | Maximum number of reminder attempts (1-52, required if resendRequests is true). |
| `id` | string | No | Unique identifier set when the record is created. |
| `createdAt` | string | No | Date time when the record was created. |
| `updatedAt` | string | No | Date time when the record was last updated. |

## Example Request

```bash
curl -X PUT "https://api.sbx.avalara.com/avalara1099/w9/companies/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```